Skip to content
This repository has been archived by the owner. It is now read-only.

Update dependencies #223

Merged
merged 2 commits into from Jan 25, 2020
Merged

Conversation

@MichaelDeBoey
Copy link
Contributor

@MichaelDeBoey MichaelDeBoey commented Jan 25, 2020

BREAKING CHANGE: Drop Node 8 support, because it's EOL.

@kentcdodds
Copy link
Owner

@kentcdodds kentcdodds commented Jan 25, 2020

I'm not sure why the build is not working. Do you want to try and investigate?

@MichaelDeBoey
Copy link
Contributor Author

@MichaelDeBoey MichaelDeBoey commented Jan 25, 2020

I've seen this when updating jest-dom too.
Updating the minimum Node version to 10.14 instead of 10.13 solves this.

@codecov
Copy link

@codecov codecov bot commented Jan 25, 2020

Codecov Report

Merging #223 into master will not change coverage.
The diff coverage is n/a.

Impacted file tree graph

@@          Coverage Diff          @@
##           master   #223   +/-   ##
=====================================
  Coverage     100%   100%           
=====================================
  Files           4      4           
  Lines          78     78           
  Branches       18     18           
=====================================
  Hits           78     78

Continue to review full report at Codecov.

Legend - Click here to learn more
Δ = absolute <relative> (impact), ø = not affected, ? = missing data
Powered by Codecov. Last update 67f21c3...263dd98. Read the comment docs.

@kentcdodds
Copy link
Owner

@kentcdodds kentcdodds commented Jan 25, 2020

Interesting! Thanks 😁

@kentcdodds kentcdodds merged commit 4ec6f40 into kentcdodds:master Jan 25, 2020
4 checks passed
4 checks passed
@codecov
codecov/patch Coverage not affected when comparing 67f21c3...263dd98
Details
@codecov
codecov/project 100% remains the same compared to 67f21c3
Details
continuous-integration/appveyor/pr AppVeyor build succeeded
Details
continuous-integration/travis-ci/pr The Travis CI build passed
Details
@kentcdodds
Copy link
Owner

@kentcdodds kentcdodds commented Jan 25, 2020

@all-contributors please add @MichaelDeBoey for code

@allcontributors
Copy link
Contributor

@allcontributors allcontributors bot commented Jan 25, 2020

@kentcdodds

I've put up a pull request to add @MichaelDeBoey! 🎉

@kentcdodds
Copy link
Owner

@kentcdodds kentcdodds commented Jan 25, 2020

🎉 This PR is included in version 7.0.0 🎉

The release is available on:

Your semantic-release bot 📦🚀

@MichaelDeBoey MichaelDeBoey deleted the MichaelDeBoey:update-dependencies branch Jan 26, 2020
bors bot added a commit to IMA-WorldHealth/bhima that referenced this pull request Jan 26, 2020
4128: Update cross-env to the latest version 🚀 r=jniles a=greenkeeper[bot]


## The dependency [cross-env](https://github.com/kentcdodds/cross-env) was updated from `6.0.3` to `7.0.0`.
This version is **not covered** by your **current version range**.

If you don’t accept this pull request, your project will work just like it did before. However, you might be missing out on a bunch of new features, fixes and/or performance improvements from the dependency update.

---

**Publisher:** [kentcdodds](https://www.npmjs.com/~kentcdodds)
**License:** MIT

<details>
<summary>Release Notes for v7.0.0</summary>

<h1><a href="https://urls.greenkeeper.io/kentcdodds/cross-env/compare/v6.0.3...v7.0.0">7.0.0</a> (2020-01-25)</h1>
<h3>Features</h3>
<ul>
<li>update dependencies (<a href="https://urls.greenkeeper.io/kentcdodds/cross-env/issues/223" data-hovercard-type="pull_request" data-hovercard-url="/kentcdodds/cross-env/pull/223/hovercard">#223</a>) (<a href="https://urls.greenkeeper.io/kentcdodds/cross-env/commit/4ec6f4009d05c571d1737306cb787499d511048b">4ec6f40</a>)</li>
</ul>
<h3>BREAKING CHANGES</h3>
<ul>
<li>Drop Node 8 support</li>
</ul>
</details>

<details>
<summary>Commits</summary>
<p>The new version differs by 1 commits.</p>
<ul>
<li><a href="https://urls.greenkeeper.io/kentcdodds/cross-env/commit/4ec6f4009d05c571d1737306cb787499d511048b"><code>4ec6f40</code></a> <code>feat: update dependencies (#223)</code></li>
</ul>
<p>See the <a href="https://urls.greenkeeper.io/kentcdodds/cross-env/compare/67f21c32543af0ecdbaf2508d620d81d3307a433...4ec6f4009d05c571d1737306cb787499d511048b">full diff</a></p>
</details>

---

<details>
  <summary>FAQ and help</summary>

  There is a collection of [frequently asked questions](https://greenkeeper.io/faq.html). If those don’t help, you can always [ask the humans behind Greenkeeper](https://github.com/greenkeeperio/greenkeeper/issues/new).
</details>

---


Your [Greenkeeper](https://greenkeeper.io) bot 🌴



Co-authored-by: greenkeeper[bot] <23040076+greenkeeper[bot]@users.noreply.github.com>
facebook-github-bot added a commit to facebook/flipper that referenced this pull request Jan 27, 2020
Summary:
## The dependency [cross-env](https://github.com/kentcdodds/cross-env) was updated from `6.0.3` to `7.0.0`.
This version is **not covered** by your **current version range**.

If you don’t accept this pull request, your project will work just like it did before. However, you might be missing out on a bunch of new features, fixes and/or performance improvements from the dependency update.

 ---

**Publisher:** [kentcdodds](https://www.npmjs.com/~kentcdodds)
**License:** MIT

<details>
<summary>Release Notes for v7.0.0</summary>

<h1><a href="https://urls.greenkeeper.io/kentcdodds/cross-env/compare/v6.0.3...v7.0.0">7.0.0</a> (2020-01-25)</h1>
<h3>Features</h3>
<ul>
<li>update dependencies (<a href="https://urls.greenkeeper.io/kentcdodds/cross-env/issues/223" data-hovercard-type="pull_request" data-hovercard-url="/kentcdodds/cross-env/pull/223/hovercard">https://github.com/facebook/flipper/issues/223</a>) (<a href="https://urls.greenkeeper.io/kentcdodds/cross-env/commit/4ec6f4009d05c571d1737306cb787499d511048b">4ec6f40</a>)</li>
</ul>
<h3>BREAKING CHANGES</h3>
<ul>
<li>Drop Node 8 support</li>
</ul>
</details>

<details>
<summary>Commits</summary>
<p>The new version differs by 1 commits.</p>
<ul>
<li><a href="https://urls.greenkeeper.io/kentcdodds/cross-env/commit/4ec6f4009d05c571d1737306cb787499d511048b"><code>4ec6f40</code></a> <code>feat: update dependencies (https://github.com/facebook/flipper/issues/223)</code></li>
</ul>
<p>See the <a href="https://urls.greenkeeper.io/kentcdodds/cross-env/compare/67f21c32543af0ecdbaf2508d620d81d3307a433...4ec6f4009d05c571d1737306cb787499d511048b">full diff</a></p>
</details>

 ---

<details>
  <summary>FAQ and help</summary>

  There is a collection of [frequently asked questions](https://greenkeeper.io/faq.html). If those don’t help, you can always [ask the humans behind Greenkeeper](https://github.com/greenkeeperio/greenkeeper/issues/new).
</details>

 ---

Your [Greenkeeper](https://greenkeeper.io) bot 🌴
Pull Request resolved: #759

Reviewed By: mweststrate

Differential Revision: D19578528

Pulled By: passy

fbshipit-source-id: 0b3add4ae98fe7ff7d1ed9762a4c546c91b2b282
Sign up for free to subscribe to this conversation on GitHub. Already have an account? Sign in.
Labels
Projects
None yet
Linked issues

Successfully merging this pull request may close these issues.

None yet

2 participants